Package ru.bitel.bgbilling.kernel.contract.period.common.bean

# Class ContractPeriod

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.period.common.bean.ContractPeriod

All Implemented Interfaces:
  `Serializable`, `Idable`

public class ContractPeriod extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractPeriod()`
  `ContractPeriod(int id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  `long`
  `getJobId()`
  `LocalDateTime`
  `getLastUpdate()`
  `PeriodWithTime`
  `getPeriod()`
  `int`
  `getUserId()`
  `boolean`
  `isGenerateCloseEvent()`
  `boolean`
  `isSentCloseEvent()`
  `ContractPeriod`
  `setContractId(int contractId)`
  `ContractPeriod`
  `setGenerateCloseEvent(boolean generateCloseEvent)`
  `ContractPeriod`
  `setJobId(long jobId)`
  `ContractPeriod`
  `setLastUpdate(LocalDateTime lastUpdate)`
  `ContractPeriod`
  `setPeriod(PeriodWithTime period)`
  `ContractPeriod`
  `setSentCloseEvent(boolean sentCloseEvent)`
  `ContractPeriod`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractPeriod

    public ContractPeriod()

  - ### ContractPeriod

    public ContractPeriod(int id)

- ## Method Details

  - ### getJobId

    public long getJobId()

  - ### setJobId

    public ContractPeriod setJobId(long jobId)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public ContractPeriod setUserId(int userId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public ContractPeriod setContractId(int contractId)

  - ### getPeriod

    public PeriodWithTime getPeriod()

  - ### setPeriod

    public ContractPeriod setPeriod(PeriodWithTime period)

  - ### getLastUpdate

    public LocalDateTime getLastUpdate()

  - ### setLastUpdate

    public ContractPeriod setLastUpdate(LocalDateTime lastUpdate)

  - ### isGenerateCloseEvent

    public boolean isGenerateCloseEvent()

  - ### setGenerateCloseEvent

    public ContractPeriod setGenerateCloseEvent(boolean generateCloseEvent)

  - ### isSentCloseEvent

    public boolean isSentCloseEvent()

  - ### setSentCloseEvent

    public ContractPeriod setSentCloseEvent(boolean sentCloseEvent)